//LICENSE A


#include "iconfigure.h"
#include "irendertool.h"


#include "ierror.h"


#if IEXTENSION_INCLUDED(IEXTENSION_MV)
#include "imultiviewrendertool.h"
#endif


//
//  Factory method
//
iRenderTool* iRenderTool::New(iViewModule *vm)
{
	IASSERT(vm);

#if IEXTENSION_INCLUDED(IEXTENSION_MV)
	iRenderTool *tmp =  new iMultiViewRenderTool(vm);
#else
	iRenderTool *tmp =  new iRenderTool(vm);
#endif
	
	IERROR_CHECK_MEMORY(tmp);
	return tmp;
}

