//LICENSE A

//
//  VTK version and build (porting helper)
//
#ifndef IVTK_H
#define IVTK_H


#include <vtkToolkits.h>
#include <vtkConfigure.h>


#if (VTK_MAJOR_VERSION < 5) || (VTK_MAJOR_VERSION==5 && VTK_MINOR_VERSION<6)
#error "This version of VTK is too old and is no longer supported."
#endif


#if (VTK_MAJOR_VERSION==5 && VTK_MINOR_VERSION<10)
#define IVTK_5_PRE10
#endif


#if (VTK_MAJOR_VERSION==5 && VTK_MINOR_VERSION<8)
#define IVTK_5_PRE8
#endif


#if (VTK_MAJOR_VERSION == 5)
#define IVTK_5
#define SetInputData   SetInput
#define AddInputData   AddInput
#define SetSourceData  SetSource
#endif


#define IVTK_QUAD_ORDER 3

#ifdef VTK_USE_VIDEO_FOR_WINDOWS
#define IVTK_SUPPORTS_AVI
#endif

#ifdef VTK_USE_MPEG2_ENCODER
#define IVTK_SUPPORTS_MPEG
#endif

#endif // IVTK_H
