//LICENSE A


#include "iactorcollection.h"


#include "iactor.h"

//
//  Templates
//
#include "iarray.tlh"


iActorCollection* iActorCollection::New()
{
	return new iActorCollection();
}

	
iActorCollection::iActorCollection()
{
}


iActorCollection::~iActorCollection()
{
	int i;
	for(i=0; i<mActors.Size(); i++) mActors[i]->UnRegister(this);
}


void iActorCollection::SetVisibility(int s)
{
	int i;
	for(i=0; i<mActors.Size(); i++) mActors[i]->SetVisibility(s);
}


void iActorCollection::AddActor(iActor *a)
{
	if(a != 0)
	{
		mActors.AddUnique(a);
		a->Register(this);
	}
}


void iActorCollection::RemoveActor(iActor *a)
{
	if(a != 0)
	{
		if(mActors.Remove(a)) a->UnRegister(this);
	}
}
