//LICENSE A


#include "idataid.h"


#include "idata.h"


iDataId::iDataId(int id) : mTypeId(id)
{
}


iDataId::iDataId(const iDataType& type) : mTypeId(type.mId)
{
}


iDataId::iDataId(const iDataId& other) : mTypeId(other.mTypeId)
{
}


void iDataId::operator=(const iDataId& other)
{
	mTypeId = other.mTypeId;
}

	
const iDataType& iDataId::Type() const
{
	return iDataType::FindTypeById(mTypeId);
}
