//LICENSE A


#include "idataobject.h"


#include "idatasubject.h"
#include "ierror.h"
#include "iviewmodule.h"

//
//  templates
//
#include "iarray.tlh"


//
//  Main class
//
iDataObject* iDataObject::New(iViewModule *parent)
{
	static iString LongName = "Data";
	static iString ShortName = "d";

	return new iDataObject(parent,LongName,ShortName);
}


iDataObject::iDataObject(iViewModule *parent, const iString &fname, const iString &sname) : iObject(parent,fname,sname), iViewModuleComponent(parent)
{
	mRenderMode = iParameter::RenderMode::NoRender;
}


iDataObject::~iDataObject()
{
}


void iDataObject::WriteState(iString &s) const
{
	int i;
	iString s1;

	s.Init(1000);

	this->WriteHead(s);
	s += "Known data types:\n";

	for(i=0; i<mChildren.Size(); i++)
	{
		iDataSubject *sub = iRequiredCast<iDataSubject>(INFO,mChildren[i]);
		s1 = "    " + sub->LongName();
		if(sub->IsThereData())
		{
			while(s1.Length() < 20) s1 += " ";
			s1 += "loaded";
		}
		s += s1 + "\n";
	}
}
