//LICENSE A


#ifndef ILABEL_H
#define ILABEL_H


#include "iviewmoduletool.h"


class iTextActor;


class iLabel : public iViewModuleTool
{
	
public:

	vtkTypeMacro(iLabel,iViewModuleTool);
	static iLabel* New(iViewModule *vm = 0);

	iObjectPropertyMacro1S(Name,String);
	iObjectPropertyMacro1S(Unit,String);
	iObjectPropertyMacro1S(Offset,Float);
	iObjectPropertyMacro1S(Scale,Float);
	iObjectPropertyMacro1S(NumDigits,Int);

	void JustifyLeft(bool s);
	void Update();

protected:

	virtual ~iLabel();

private:
	
	iLabel(iViewModule *vm, const iString &fname, const iString &sname);

	virtual bool ShowBody(bool s);

	bool mLeftJustification;
	iTextActor *mActor;
};

#endif // ILABEL_H

