//LICENSE A


#include "ioptimizepolydatafilter.h"


//
//  Templates
//
#include "igenericfilter.tlh"


iOptimizePolyDataFilter::iOptimizePolyDataFilter(iDataConsumer *consumer) : iGenericPolyDataFilter<vtkStripper>(consumer,1,true)
{
	mEnabled = true;
}
	

void iOptimizePolyDataFilter::SetEnabled(bool s)
{
	mEnabled = s;
}


void iOptimizePolyDataFilter::ProvideOutput()
{
	if(mEnabled)
	{
		this->ExecuteParent();
	}
	else
	{
		this->OutputData()->ShallowCopy(this->InputData());
	}
}

