//LICENSE A


#ifndef IORTHOTEXTUREPLANEFILTER_H
#define IORTHOTEXTUREPLANEFILTER_H


#include "igenericfilter.h"
#include <vtkDataSetAlgorithm.h>


class iOrthoTexturePlaneFilter : public iGenericFilter<vtkDataSetAlgorithm,vtkImageData,vtkPolyData>
{

	iGenericFilterTypeMacro(iOrthoTexturePlaneFilter,vtkDataSetAlgorithm);

public: 

	//
	//  Offsets needed for parallel work
	//
	void SetTexturePiece(vtkImageData *texture, int offX, int offY, double globalOrg[3], int globalDims[3]);

protected:

	virtual void ProvideOutput();

private:

	vtkImageData *mTexture;
	int mOffX, mOffY;
	double mGlobalOrg[3];
	int mGlobalDims[3];
};

#endif // IORTHOTEXTUREPLANEFILTER_H
