//LICENSE A


#ifndef IPARTICLECONNECTOR_H
#define IPARTICLECONNECTOR_H


#include "igenericfilter.h"
#include <vtkPolyDataAlgorithm.h>


class iParticleConnector : public iGenericPolyDataFilter<vtkPolyDataAlgorithm>
{
	
	iGenericFilterTypeMacro(iParticleConnector,vtkPolyDataAlgorithm);

public:
	
	inline int GetConnectVariable(){ return mConnectVariable; }
	void SetConnectVariable(int v);

	inline int GetConnectionBreakVariable(){ return mConnectionBreakVariable; }
	void SetConnectionBreakVariable(int v);

protected:
	
	virtual void ProvideOutput();

private:

	int mConnectVariable, mConnectionBreakVariable;
};

#endif


