//LICENSE A


#ifndef IREDUCEPOLYDATAFILTER_H
#define IREDUCEPOLYDATAFILTER_H


#include "igenericfilter.h"
#include <vtkPolyDataAlgorithm.h>


class vtkDecimatePro;
class vtkTriangleFilter;


class iReducePolyDataFilter : public iGenericPolyDataFilter<vtkPolyDataAlgorithm>
{
	
	iGenericFilterTypeMacro(iReducePolyDataFilter,vtkPolyDataAlgorithm);

public:

	virtual ~iReducePolyDataFilter();

	void SetTargetReduction(double v);
	double GetTargetReduction();

protected:
	
	virtual void ProvideOutput();

	vtkDecimatePro *mDecimator;
	vtkTriangleFilter *mTriangulator;
};

#endif // IREDUCEPOLYDATAFILTER_H

