//LICENSE A


#include "istretch.h"


#include "istring.h"


namespace iStretch
{
	const iString& GetName(int v)
	{
		switch(v)
		{
		case Lin:
		{
			static const iString tmp("Linear");
			return tmp;
		}
		case Log:
		{
			static const iString tmp("Logarithmic");
			return tmp;
		}
		default:
		{
			static const iString tmp;
			return tmp;
		}
		}
	}

	int GetId(const iString& name)
	{
		int i = 0;
		iString v = name.Lower();
		while(!iStretch::GetName(i).IsEmpty())
		{
			if(iStretch::GetName(i).Lower().Find(v) == 0)
			{
				return i;
			}
			i++;
		}
		return -1;
	}
};

