//LICENSE A

//
//  Useful system-level functions
//

#ifndef ISYSTEM_H
#define ISYSTEM_H


namespace iSystem
{
	//
	//  Sleeps for a given # of milliseconds
	//
	void Sleep(int msec);

	//
	//  Gives the physical memory for the machine
	//
	float GetMemoryLimit();

	//
	//  Checks whether the machine is big endian
	//
	bool IsBigEndianMachine();
};

#endif

