//LICENSE A


#ifndef IVECTORGLYPHFILTER_H
#define IVECTORGLYPHFILTER_H


#include "igenericfilter.h"
#include <vtkHedgeHog.h>


class iVectorGlyphFilter : public iGenericFilter<vtkHedgeHog,vtkDataSet,vtkPolyData>
{

	iGenericFilterTypeMacro(iVectorGlyphFilter,vtkHedgeHog);

public:

	void SetIncludeVerts(bool s);
	inline bool GetIncludeVerts() const { return mIncludeVerts; }

protected:
	
	virtual void ProvideOutput();

	bool mIncludeVerts;
};

#endif  // IVECTORGLYPHFILTER_H


