//LICENSE A


#ifndef IVIEWMODULECOLLECTION_H
#define IVIEWMODULECOLLECTION_H


#include "iobjectcollection.h"
#include "ishellcomponent.h"


#include "iviewmodule.h"


class iViewModuleCollection : public iObjectCollectionResizable<iViewModule>, public iShellComponent
{

public:

	vtkTypeMacro(iViewModuleCollection,iObjectCollectionResizable<iViewModule>);
	static iViewModuleCollection* New(iShell *s = 0);

	iObjectPropertyMacroA(CreateNew);
	iObjectPropertyMacroA1(CreateCopy,Int);
	iObjectPropertyMacroA1(CreateClone,Int);

	virtual bool CreateMember();
	virtual bool RemoveMember(int i);

	iViewModule* GetViewModule(int i) const;

protected:

	virtual ~iViewModuleCollection();
	virtual iViewModule* NewObject();

	void UpdateWindows();

private:

	iViewModuleCollection(iShell *s, const iString &fname, const iString &sname);
};

#endif // IVIEWMODULECOLLECTION_H

