//LICENSE A


#include "iviewmoduletool.h"


#include "iviewmodule.h"

//
//  Templates
//
#include "iarray.tlh"
#include "iproperty.tlh"


using namespace iParameter;


//
//  Main class
//
iViewModuleTool::iViewModuleTool(iViewModule *vm, const iString &fname, const iString &sname) : iObject(vm,fname,sname), iViewModuleComponent(vm),
	iObjectConstructPropertyMacroGenericS(Bool,iViewModuleTool,Visible,vis,Show,IsVisible)
{
	mRenderMode = RenderMode::Self;

	mIsVisible = false;
}


bool iViewModuleTool::Show(bool s)
{
	mIsVisible = s;
	return this->ShowBody(s);
}
