//LICENSE A

//
//  A base class for all dialog window (toolkit-dependent)
//

#ifndef IBGDIALOGSUBJECT_H
#define IBGDIALOGSUBJECT_H


#include "ibgwindowsubject.h"


class iggDialog;
class iggFrame;

class ibgFrameSubject;


class ibgDialogSubject : public ibgWindowSubject
{

	friend class iggDialog;

public:

	virtual ~ibgDialogSubject();

protected:

	ibgDialogSubject(iggDialog *owner, const ibgWindowSubject *base, unsigned int mode, const iImage *icon, const iString &title);

	virtual void SetFrame(ibgFrameSubject *frame) = 0;

	void OnClose();

	unsigned int mMode;
	iggDialog *mOwner;
};

#endif  // IBGDIALOGSUBJECT_H
