//LICENSE A


#include "iconfigure.h"
#if ISHELL_INCLUDED(ISHELL_GG)


#include "ibgextensionwindowsubject.h"


#include "ierror.h"

#include "iggextensionwindow.h"
#include "iggmainwindow.h"


ibgExtensionWindowSubject::ibgExtensionWindowSubject(iggExtensionWindow *ew) : ibgWindowSubject(ew?ew->GetShell():0)
{
	IASSERT(ew);

	mExtensionWindow = ew;
	mExtensionWindow->GetMainWindow()->Register(this);
}


ibgExtensionWindowSubject::~ibgExtensionWindowSubject()
{
	mExtensionWindow->GetMainWindow()->UnRegister(this);
}


void ibgExtensionWindowSubject::Show(bool s)
{
	if(!mExtensionWindow->IsEmpty())
	{
		ibgWindowSubject::Show(s);
	}
}

#endif
