//LICENSE A

//
//  Toolkit-independent base for the extension window
//

#ifndef IBGEXTENSIONWINDOWSUBJECT_H
#define IBGEXTENSIONWINDOWSUBJECT_H


#include "ibgwindowsubject.h"


class iggExtensionWindow;
class iggFrame;


class ibgExtensionWindowSubject : public ibgWindowSubject
{

public:

	virtual void Show(bool s);
	virtual void AttachPanels(iggFrame *main, iggFrame *bottom, iggFrame *left) = 0;

protected:

	ibgExtensionWindowSubject(iggExtensionWindow *ew);
	virtual ~ibgExtensionWindowSubject();

	iggExtensionWindow *mExtensionWindow;
};

#endif  // IBGEXTENSIONWINDOWSUBJECT_H

