//LICENSE A

//
//  Generic button
//
#ifndef IBGWIDGETBUTTONSUBJECT_H
#define IBGWIDGETBUTTONSUBJECT_H


#include "ibgwidgetsubject.h"


class iImage;
class iString;


class ibgWidgetButtonSubject : public ibgWidgetSubject
{

public:

	virtual ~ibgWidgetButtonSubject();

	//
	//  Decorator functions
	//
	virtual bool IsDown() const = 0;

	virtual void SetDown(bool s) = 0;
	virtual void SetIcon(const iImage &icon) = 0;
	virtual void SetText(const iString &text) = 0;

	virtual void SetAutoRepeat(bool s) = 0;

	virtual void SetSize(int w, int h) = 0;
	virtual void SetFlat(bool s) = 0;

protected:

	ibgWidgetButtonSubject(iggWidget *owner, int type, const iString &text, int slot, int minsize);

	int mType;
};

#endif  // IBGWIDGETBUTTONSUBJECT_H

