//LICENSE A

//
//  Generic color selection widget
//
#ifndef IBGWIDGETCOLORSELECTIONSUBJECT_H
#define IBGWIDGETCOLORSELECTIONSUBJECT_H


#include "ibgwidgetsubject.h"


class iColor;
class iString;


class ibgWidgetColorSelectionSubject : public ibgWidgetSubject
{

public:

	virtual ~ibgWidgetColorSelectionSubject();

	virtual const iColor GetColor() const = 0;
	virtual void SetColor(const iColor &c) = 0;

	virtual void SetText(const iString &text) = 0;

protected:

	ibgWidgetColorSelectionSubject(iggWidget *owner);
};

#endif  // IBGWIDGETKEYCOLORSELECTIONSUBJECT_H

