//LICENSE A

//
//  A base class for all widget bases - classes that provide toolkit-dependent functionality
//

#ifndef IBGWIDGETSUBJECT_H
#define IBGWIDGETSUBJECT_H


#include "ibgelement.h"


class iggWidget;

class ibgWidgetHelper;


class ibgWidgetSubject : public ibgElement
{

	friend class iggWidget;

public:

	virtual ~ibgWidgetSubject();

	inline ibgWidgetHelper* GetWidgetHelper() const { return mWidgetHelper; }

protected:

	ibgWidgetSubject(iggWidget *owner);

	iggWidget *mOwner;
	ibgWidgetHelper *mWidgetHelper;
};

#endif  // IBGWIDGETSUBJECT_H

