//LICENSE A


#include "iconfigure.h"
#if ISHELL_INCLUDED(ISHELL_GG)


#include "ibgwidgettexteditorsubject.h"


#include "iggwidgettext.h"


ibgWidgetTextEditorSubject::ibgWidgetTextEditorSubject(iggWidgetTextEditor *owner, unsigned int /*mode*/) : ibgWidgetSubject(owner)
{
	mConcreteOwner = owner;
}


ibgWidgetTextEditorSubject::~ibgWidgetTextEditorSubject()
{
}


void ibgWidgetTextEditorSubject::OnTextChangedBody()
{
	mConcreteOwner->OnTextChanged();
}


void ibgWidgetTextEditorSubject::OnSelectionChangedBody(int lineFrom, int indexFrom, int lineTo, int indexTo)
{
	mConcreteOwner->OnSelectionChanged(lineFrom,indexFrom,lineTo,indexTo);
}


void ibgWidgetTextEditorSubject::OnCursorPositionChangedBody(int line, int index)
{
	mConcreteOwner->OnCursorPositionChanged(line,index);
}


void ibgWidgetTextEditorSubject::OnReturnPressedBody()
{
	mConcreteOwner->OnReturnPressed();
}


//void ibgWidgetTextEditorSubject::OnMousePressBody(int line, int index)
//{
//	mConcreteOwner->OnMousePress(line,index);
//}


//void ibgWidgetTextEditorSubject::OnMouseReleaseBody(int line, int index)
//{
//	mConcreteOwner->OnMouseRelease(line,index);
//}

#endif
