//LICENSE A


#include "iconfigure.h"
#if ISHELL_INCLUDED(ISHELL_CL)


#include "iclshelleventobservers.h"


#include "imath.h"

#include "iclshell.h"


//
//  iclExecutionEventObserver class
//
iclExecutionEventObserver::iclExecutionEventObserver(iShell *s) : iExecutionEventObserver(s)
{
}


iclExecutionEventObserver::~iclExecutionEventObserver()
{
}


void iclExecutionEventObserver::OnStart()
{
}


void iclExecutionEventObserver::OnProgress(double fraction, bool &abort)
{
	cout << "\r" << mLabel.ToCharPointer() << "  " << iMath::Round2Int(100.0*fraction) << "% done.";
	abort = false;
}


void iclExecutionEventObserver::OnFinish()
{
	cout << endl;
}


void iclExecutionEventObserver::OnSetLabel(const iString &label)
{
	mLabel = label;
}


//
//  iclParallelUpdateEventObserver class
//
void iclParallelUpdateEventObserver::UpdateInformation()
{
}

#endif
