//LICENSE A


#ifndef IGGDIALOGANIMATINGPROGRESS_H
#define IGGDIALOGANIMATINGPROGRESS_H


#include "iggdialog.h"


class iggWidgetNumberLabel;
class iggWidgetTextLabel;


class iggDialogAnimatingProgress : public iggDialog
{

public:

	iggDialogAnimatingProgress(iggMainWindow *parent);

	virtual const iString& GetToolTip() const;

	void Animate();

	void Pause(bool s);
	inline bool IsPaused() const { return mPaused; }

	void Cancel();
	inline bool IsCancelled() const { return mCancelled; }

protected:

	virtual void CompleteConstructionBody();
	virtual bool CanBeClosed();

	bool mCancelled, mPaused;
	iggWidgetNumberLabel *mCurrentFrame, *mCurrentRecord;
	iggWidgetTextLabel *mWarning;
	iggFrame *mInfoFrame, *mWarningFrame;
	int mLastRecord, mLastFrame;
};

#endif  //  IGGDIALOGANIMATINGPROGRESS_H
