//LICENSE A

//
//  Automatically shown dialog
//

#ifndef IGGDIALOGAUTO_H
#define IGGDIALOGAUTO_H


#include "iggdialog.h"


#include "istring.h"


class iggDialogAuto : public iggDialog
{

	friend class iggMainWindow;

public:

	virtual ~iggDialogAuto();

	const iString& GetTitle() const { return mTitle; }
	void ForceShow(bool s);

protected:

	iggDialogAuto(iggMainWindow *mw, const iString &title, int cols);

	virtual void ShowBody(bool s);

private:

	const iString mTitle;
	static bool mBlockShowing;
};

#endif  // IGGDIALOGAUTO_H

