//LICENSE A


#ifndef IGGDIALOGLOADFILE_H
#define IGGDIALOGLOADFILE_H


#include "iggdialog.h"


class iDataInfo;
class iDataType;

class iggWidgetProgressBar;
class iggWidgetTextLabel;


class iggDialogLoadFile : public iggDialog
{

public:

	iggDialogLoadFile(iggMainWindow *parent);
	virtual ~iggDialogLoadFile();

	inline iggWidgetProgressBar* GetProgressBar() const { return mProgressBar; }

	void Start();
	void OnFileStart(const iString &fname, const iDataType &type);
	void OnFileFinish(const iString &fname, const iDataInfo &info);
	void Finish();

protected:

	virtual void CompleteConstructionBody();
	virtual bool CanBeClosed();

	iggWidgetTextLabel *mLabel;
	iggWidgetProgressBar *mProgressBar;
	static const bool mIsMultiThread;
};

#endif  //  IGGDIALOGLOADFILE_H
