//LICENSE A


#ifndef IGGDIALOGPICKERWINDOW_H
#define IGGDIALOGPICKERWINDOW_H


#include "iggdialog.h"


class iPicker;

class iggFrameBase;
class iggObjectHandle;
class iggWidgetTextBrowser;


class iggDialogPickerWindow : public iggDialog
{

public:

	iggDialogPickerWindow(iggMainWindow *parent);
	virtual ~iggDialogPickerWindow();

	void CollectData(bool s);
	void DisplayData(const iPicker *picker);

	iggObjectHandle* GetPickerHandle() const { return mPickerHandle; }

protected:

	virtual void CompleteConstructionBody();
	virtual void ShowBody(bool s);

	iggFrame *mInfoFrame, *mWaitFrame;
	iggWidgetTextBrowser *mInfo;
	iggObjectHandle *mPickerHandle;
};

#endif  //  IGGDIALOGPICKERWINDOW_H
