//LICENSE A


#ifndef IGGDIALOGRENDERINGPROGRESS_H
#define IGGDIALOGRENDERINGPROGRESS_H


#include "iggdialog.h"


class vtkTimerLog;

class iggWidgetBase;
class iggWidgetTextLabel;
class iggWidgetLogoFlipper;


class iggDialogRenderingProgress : public iggDialog
{

public:

	iggDialogRenderingProgress(iggMainWindow *parent);
	virtual ~iggDialogRenderingProgress();

	void Start(bool interactive);
	void KeepWorking();
	void Finish();

	void Cancel();
	inline bool IsCancelled() const { return mCancelled; }

protected:

	virtual void CompleteConstructionBody();
	virtual bool CanBeClosed();

	bool mBlockParent, mIsParentBlocked, mCancelled, mInteractive;
	double mPreviousTime;
	vtkTimerLog *mTimer;
	iggWidgetLogoFlipper *mFlipper;
	iggWidgetTextLabel *mElapsedTime;
	iggFrame *mButtonFrame, *mRemarkFrame;
};

#endif  //  IGGDIALOGRENDERINGPROGRESS_H
