//LICENSE A

//
//  A frame containing the full set of an object (iActorProp) controls
//

#ifndef IGGFRAMEOBJECTCONTROLS_H
#define IGGFRAMEOBJECTCONTROLS_H


#include "iggframe.h"


class iObjectKey;
class iString;

class iggFramePosition;
class iggFramePushControls;
class iggPropertyHandle;


class iggFrameObjectControls : public iggFrame
{

public:

	iggFrameObjectControls(const iString &name, const iggPropertyHandle& posph, const iggPropertyHandle& dirph, const iggPropertyHandle& sizph, iggFrame *parent);
	iggFrameObjectControls(const iString &name, const iggPropertyHandle& posph, const iggPropertyHandle& dirph, iggFrame *parent);

	void EnablePosition(bool s);
	void EnableDirection(bool s);
	void EnableSize(bool s);

protected:

	void Define(const iString &name, const iggPropertyHandle& posph, const iggPropertyHandle& dirph, const iggPropertyHandle* sizph, iggFrame *parent);

	iggFramePosition *mOP;
	iggFrame *mOD, *mOS;
	iggFramePushControls *mPO;
};

#endif  // IGGFRAMEOBJECTCONTROLS_H

