//LICENSE A


#include "iconfigure.h"
#if ISHELL_INCLUDED(ISHELL_GG)


#include "iggframepaletteselection.h"


#include "ipalette.h"
#include "ishell.h"

#include "iggwidgetpropertycontrol.h"

//
//  Templates
//
#include "iarray.tlh"
#include "iggwidgetpropertycontrol.tlh"


using namespace iParameter;


iggFramePaletteSelection::iggFramePaletteSelection(bool withbrightness, const iggPropertyHandle& ph, iggFrame *parent) : iggFramePaletteSelectionBase(true,withbrightness,true,parent)
{
	//
	//  This class combines the functionality of iggWidgetPropertyControl and iggFramePaletteSelectionBase.
	//  Since we cannot inherit both of them (that would create two instances of toolkit-dependent
	//  classes, we create a dummy invisible KeyHandler and use its functionality.
	//
	mDummy = new iggWidgetPropertyControlDummy<iType::Int>(ph,this,RenderMode::Immediate);
}


iggFramePaletteSelection::~iggFramePaletteSelection()
{
}


void iggFramePaletteSelection::SetPaletteId(int n)
{
	mDummy->SetValue(n);
}


int iggFramePaletteSelection::GetPaletteId() const
{
	mDummy->UpdateWidget();
	return mDummy->GetValue();
}

#endif
