//LICENSE A


#ifndef IGGFRAMEPIECEWISEFUNCTIONCONTROLS_H
#define IGGFRAMEPIECEWISEFUNCTIONCONTROLS_H


#include "iggframe.h"


class iHistogram;
class iPiecewiseFunction;


class iggFramePiecewiseFunctionControls : public iggFrame
{

public:

	iggFramePiecewiseFunctionControls(bool withRender, bool withHistogram, iggFrame *parent);

	virtual const iHistogram& GetHistogram(int sid, bool full) const = 0;
	virtual iPiecewiseFunction* GetFunction() = 0;

	virtual void OnChange(){}
};

#endif  // IGGFRAMEPIECEWISEFUNCTIONCONTROLS_H

