//LICENSE A


#ifndef IGGFRAMERANGECONTROLS_H
#define IGGFRAMERANGECONTROLS_H


#include "iggframe.h"


#include "ipair.h"

class iHistogram;
class iggPropertyHandle;


class iggFrameRangeControls : public iggFrame
{

public:

	iggFrameRangeControls(const iggPropertyHandle& rh, const iggPropertyHandle& th, iggFrame *parent);
	virtual ~iggFrameRangeControls();

	virtual bool IsActive() const = 0;
	virtual iPair GetGlobalRange() const = 0;
	virtual int GetActiveRangeIndex() const = 0;
	virtual void SetActiveRangeIndex(int c) = 0;

	virtual const iHistogram& GetHistogram(int sid, bool full) const = 0;

	virtual void SetNumRanges(int n) = 0;
};

#endif  // IGGFRAMERANGECONTROLS_H

