//LICENSE A

//
//  A special frame that does not require an iggFrame parent and does not set a subject
//  in a constructor, but allows a public attachment of a subject later. Should be used
//  to create top-level frames with non-generic subjects.
//
#ifndef IGGFRAMETOPPARENT_H
#define IGGFRAMETOPPARENT_H


#include "iggframe.h"


class ibgFrameSubject;


class iggFrameTopParent : public iggFrame
{

public:

	iggFrameTopParent(iggShell *shell);

	void AttachSubject(ibgFrameSubject *subject);
};

#endif  // IGGFRAMETOPPARENT_H
