//LICENSE A

//
//  A base class for pages (keeps track of the data channel)
//
#ifndef IGGPAGE_H
#define IGGPAGE_H


#include "iggframe.h"


class iggFrameBook;


class iggPage : public iggFrame
{

public:

	const static int WithBook     = 1;
	const static int WithFeedback = 2;

	virtual ~iggPage();

	void ShowPage(int n);
	void SetOrientation(int v);

protected:

	iggPage(iggFrameBase *parent, int flags);

	iggFrameBook *mBook;
};

#endif  // IGGPAGE_H

