//LICENSE A


#include "iconfigure.h"
#if ISHELL_INCLUDED(ISHELL_GG)


#include "iggrenderingelement.h"


#include "iarray.h"
#include "ishell.h"
#include "iviewmodule.h"

#include "iggshell.h"

//
//  Templates
//
#include "iarray.tlh"


using namespace iParameter;


//
//  Main class
//
iggRenderingElement::iggRenderingElement(iggShell *shell) : iggElement(shell)
{
	mRenderTarget = ViewModuleSelection::One;

}


void iggRenderingElement::SetRenderTarget(int m)
{
	mRenderTarget = m;
}


void iggRenderingElement::Render(int target)
{
	if(this->GetShell()->IsAutoRendering())
	{
		this->ActualRender(target);
	}
}


void iggRenderingElement::ActualRender(int target)
{
	int j;
	iArray<iViewModule*> arr;

	if(target == -1) target = mRenderTarget;

	this->GetShell()->SelectViewModules(arr,target);

	for(j=0; j<arr.Size(); j++)
	{
		this->GetShell()->RequestRender(arr[j],true);
	}
}

#endif
