//LICENSE A


//
//  An element that renders a selection of ViewModules
//

#ifndef IGGRENDERINGELEMENT_H
#define IGGRENDERINGELEMENT_H


#include "iggelement.h"


class iggRenderingElement : public iggElement
{

public:

	inline int GetRenderTarget() const { return mRenderTarget; }
	virtual void SetRenderTarget(int m);

	void Render(int target = -1);

protected:

	iggRenderingElement(iggShell *shell);

	void ActualRender(int target = -1);

private:

	int mRenderTarget;
};

#endif  // IGGRENDERINGELEMENT_H

