//LICENSE A

//
//  Generic implementation of ViewModule observers
//

#ifndef IGGVIEWMODULEEVENTOBSERVERS_H
#define IGGVIEWMODULEEVENTOBSERVERS_H


#include "iviewmoduleeventobservers.h"


class iggRenderEventObserver : public iRenderEventObserver
{
	
	friend class iggShell;

public:
	
	vtkTypeMacro(iggRenderEventObserver,iRenderEventObserver);

protected:

	iggRenderEventObserver(iViewModule *vm) : iRenderEventObserver(vm){}

	virtual void OnStart();
	virtual void OnFinish();
	virtual bool CheckAbort();
	virtual void PostFinished();
};


class iggPickEventObserver : public iPickEventObserver
{
	
	friend class iggShell;

public:
	
	vtkTypeMacro(iggPickEventObserver,iPickEventObserver);

protected:

	iggPickEventObserver(iViewModule *vm) : iPickEventObserver(vm){}

	virtual void OnStart();
	virtual void OnFinish();
};

#endif // IGGVIEWMODULEEVENTOBSERVERS_H

