//LICENSE A

//
// A widget that provides control to change a direction
//

#ifndef IGGWIDGETPROPERTYCONTROLTRACKBALL_H
#define IGGWIDGETPROPERTYCONTROLTRACKBALL_H


#include "iggwidgetpropertycontrol.h"
#include "iggrenderwindowobserver.h"


class iObjectKey;

class iggDialog;

class ibgWidgetTrackBallSubject;


class iggWidgetPropertyControlTrackBall : public iggWidgetPropertyControlBase, public iggRenderWindowObserver
{

public:

    iggWidgetPropertyControlTrackBall(bool followCamera, const iggPropertyHandle& ph, iggFrame *parent, int rm = iParameter::RenderMode::Delayed);
	virtual ~iggWidgetPropertyControlTrackBall();

	void SetDirection(const double dir[3]);
	void GetDirection(double dir[3]) const;

protected:

	virtual void UpdateWidgetBody();
	virtual void OnVoid1Body();
	virtual void OnBool1Body(bool final);
	virtual void OnRenderWindowModified();

	ibgWidgetTrackBallSubject *mSubject;
	iggDialog *mValuesDialog;
};

#endif // IGGWIDGETPROPERTYCONTROLTRACKBALL_H
