//LICENSE A

//
//  QT version and build (porting helper)
//
#ifndef IQT_H
#define IQT_H

#include <qglobal.h>

#if (QT_VERSION < 0x040000)
#define IQT_3
#endif

#if (QT_VERSION < 0x040700)
#define IQT_PRE47
#endif

#if (QT_VERSION < 0x050000)
#ifndef IQT_3
#define IQT_4
#endif
#define IQT_PRE5
#endif

#ifdef IQT_3

class QButton;
class QIconSet;

typedef QButton		QAbstractButton;
typedef QIconSet	QIcon;

#define QFocus		QWidget

#else

class QAbstractButton;
class QIcon;

#define QFocus				Qt

#if (QT_VERSION < 0x040100)
#define IQT_40
#endif

#ifndef IQT_4
#define WFlags WindowFlags
#endif

#endif

#endif // IQT_H

