//LICENSE A

//
//  A Qt extension subject
//

#ifndef IQTEXTENSIONWINDOWSUBJECT_H
#define IQTEXTENSIONWINDOWSUBJECT_H


#include "iqt.h"

#ifdef IQT_3
#include <qwidget.h>
#elif defined(IQT_4)
#include <QtGui/QWidget>
#else
#include <QtWidgets/QWidget>
#endif
#include "ibgextensionwindowsubject.h"


class QCloseEvent;
class QGridLayout;
class QTabWidget;


class iqtExtensionWindowSubject : public QWidget, public ibgExtensionWindowSubject
{

	friend class iggSubjectFactory;

public:

	virtual void AttachPanels(iggFrame *main, iggFrame *bottom, iggFrame *left);

protected:

	iqtExtensionWindowSubject(iggExtensionWindow *ew);
	virtual ~iqtExtensionWindowSubject();

	//
	//  Qt-specific
	//
	virtual bool event(QEvent *e);
	virtual void closeEvent(QCloseEvent *e);

private:

	iqtExtensionWindowSubject(const iqtExtensionWindowSubject&); // Not implemented.
	void operator=(const iqtExtensionWindowSubject&);  // Not implemented.
};

#endif  // IQTEXTENSIONWINDOWSUBJECT_H
