//LICENSE A

//
//  Class for displaying bitmap (2D) text in VTK
//
#ifndef IBITMAPSUBJECT_H
#define IBITMAPSUBJECT_H


#include "itextsubject.h"


class vtkActor2D;
class vtkTextMapper;


class iBitmapTextSubject: public iTextSubject
{
	
public:
	
	static iBitmapTextSubject* New(iTextActor *parent, iRenderTool *rv);
	
protected:

	virtual ~iBitmapTextSubject();

	virtual void ComputeSize(vtkViewport *v, float s[2]);
	virtual void UpdateGeometryBody(vtkViewport *vp, int mag);

private:
	
	iBitmapTextSubject(iTextActor *parent, iRenderTool *rv);
	
	vtkTextMapper *mMapper;
	vtkActor2D *mActor;
};

#endif // IBITMAPSUBJECT_H
