//LICENSE A


#ifndef IBOUNDEDPLANESOURCE_H
#define IBOUNDEDPLANESOURCE_H


#include "iboundedpolydatasource.h"


class vtkPlaneSource;


class iBoundedPlaneSource : public iBoundedPolyDataSource
{

public:
	
	vtkTypeMacro(iBoundedPlaneSource,iBoundedPolyDataSource);
	static iBoundedPlaneSource* New(iDataConsumer *consumer = 0);

protected:
	
	iBoundedPlaneSource(iDataConsumer *consumer);
	virtual ~iBoundedPlaneSource();

	virtual void UpdateBoundaryConditions();
	virtual void UpdateSourceResolution();
	virtual void AddObserverToSource(unsigned long e, vtkCommand *c, float priority);
	virtual float GetSourceMemorySize() const;

private:

	//
	//  VTK stuff
	//
	vtkPlaneSource *mSource;
};

#endif // IBOUNDEDPLANESOURCE_H

