//LICENSE A


#ifndef ICUBEAXESACTOR_H
#define ICUBEAXESACTOR_H


#include "igenericprop.h"
#include <vtkCubeAxesActor2D.h>


#include "ipointermacro.h"

class iOverlayHelper;
class iRenderTool;

class vtkViewport;


class iCubeAxesActor: public iGenericProp<vtkCubeAxesActor2D>
{

	IPOINTER_AS_USER(OverlayHelper);

public:

	vtkTypeMacro(iCubeAxesActor,vtkCubeAxesActor2D);
	static iCubeAxesActor* New(iRenderTool *rt = 0);

	virtual int RenderOpaqueGeometry(vtkViewport *vp);

protected:

	virtual ~iCubeAxesActor();

	virtual void UpdateGeometry(vtkViewport *vp);

private:

	iCubeAxesActor(iRenderTool *rv);
};

#endif // ICUBEAXESACTOR_H
