//LICENSE A


//
//  A simple wrapper over iDataType for scripts
//

#ifndef IDATAID_H
#define IDATAID_H


class iDataType;


class iDataId
{

public:

	iDataId(int id = 0);
	iDataId(const iDataType& type);
	iDataId(const iDataId& other);

	void operator=(const iDataId& other);
	inline bool operator==(const iDataId& other) const
	{
		return mTypeId == other.mTypeId;
	}
	inline bool operator<(const iDataId& other) const
	{
		return mTypeId < other.mTypeId;
	}

	const iDataType& Type() const;

	operator const iDataType&() { return this->Type(); }

private:

	int mTypeId;
};


#endif // IDATAID_H
