//LICENSE A


//
//  A container class that collects all DataSubjects (effectively a namespace, exist mere for convenience)
//
#ifndef IDATAOBJECT_H
#define IDATAOBJECT_H


#include "iobject.h"
#include "iviewmodulecomponent.h"


class iDataSubject;
class iViewModule;

//
//  Main class
//
class iDataObject : public iObject, public iViewModuleComponent
{
	
public:
	
	vtkTypeMacro(iDataObject,iObject);
	static iDataObject* New(iViewModule *parent);

	virtual void WriteState(iString &s) const;

protected:
	
	virtual ~iDataObject();

private:

	iDataObject(iViewModule *parent, const iString &fname, const iString &sname);

	static iDataObject* New(){ return 0; }
};

#endif // IDATAOBJECT_H
