//LICENSE A


#include "ieventobserver.h"


#include "ierror.h"
#include "ivtk.h"


bool iEventObserver::mAllAreBlocked = false;

//
//  Parent class for all event observers
//
iEventObserver::iEventObserver()
{
	mIsBlocked = mLockedExecute = false;
	this->PassiveObserverOn(); // O-ho-ho, VTK guys - how I wish you messed less with the basic interface...
}


iEventObserver::~iEventObserver()
{
}


void iEventObserver::Execute(vtkObject *caller, unsigned long event, void *data)
{
	if(mAllAreBlocked || mIsBlocked) return;

	this->ExecuteBody(caller,event,data);
}

