//LICENSE A


#ifndef IFRAMEDTEXTACTOR_H
#define IFRAMEDTEXTACTOR_H


#include "itextactor.h"


class vtkActor2D;
class vtkPoints;


class iFramedTextActor: public iTextActor
{
	
public:
	
	vtkTypeMacro(iFramedTextActor,iTextActor);
	static iFramedTextActor* New(iRenderTool *rt = 0);
	
	void SetTransparent(bool s);
	inline bool IsTransparent() const { return mTransparent; }

protected:
	
	iFramedTextActor(iRenderTool *rv);
	virtual ~iFramedTextActor();
	
	virtual void UpdateGeometry(vtkViewport *vp);

	float wBounds[4];

private:
	
	bool mTransparent;
	float wTrueBounds[4];

	vtkPoints           *mBorderPoints;
	vtkActor2D          *mBorderActor;
	vtkActor2D          *mLiningActor;
};

#endif // IFRAMEDTEXTACTOR_H
