//LICENSE A


#ifndef IKEYBOARDINTERACTORSTYLE_H
#define IKEYBOARDINTERACTORSTYLE_H


#include <vtkInteractorStyleTrackballCamera.h>


class iKeyboardInteractorStyle: public vtkInteractorStyleTrackballCamera
{
	
public:
	
	vtkTypeMacro(iKeyboardInteractorStyle,vtkInteractorStyleTrackballCamera);
	static iKeyboardInteractorStyle* New();
	
	//
	//  Disable mouse interaction
	//
	virtual void OnMouseMove(){}
	virtual void OnLeftButtonDown(){}
	virtual void OnLeftButtonUp(){}
	virtual void OnMiddleButtonDown(){}
	virtual void OnMiddleButtonUp(){}
	virtual void OnRightButtonDown(){}
	virtual void OnRightButtonUp(){}

	virtual void OnChar();

protected:

	virtual ~iKeyboardInteractorStyle();

private:

	iKeyboardInteractorStyle();

	void FakeEvent(int dx, int dy);
	void DoZoom(int dx, int dy);
	void DoMove(int dx, int dy);
};

#endif // IKEYBOARDINTERACTORSTYLE_H
