//LICENSE A


//
//  vtkRenderLargeImage with a bug fix
//
#ifndef IMAGNIFIER_H
#define IMAGNIFIER_H


#include <vtkRenderLargeImage.h>


class iMagnifier : public vtkRenderLargeImage
{

public:

	static iMagnifier* New();

	inline void GetTile(int &x, int &y){ x = mTileX; y = mTileY; }

	virtual int ProcessRequest(vtkInformation *request, vtkInformationVector **inInfo, vtkInformationVector *outInfo);

protected:

	void RequestData(vtkInformation *request, vtkInformationVector **inInfo, vtkInformationVector *outInfo);

	virtual ~iMagnifier();

private:

	iMagnifier();

	void Render(vtkImageData *data);

	int mTileX, mTileY;
};

#endif // IMAGNIFIER_H
 

