//LICENSE A


#ifndef IOPTIMIZEPOLYDATAFILTER_H
#define IOPTIMIZEPOLYDATAFILTER_H


#include "igenericfilter.h"
#include <vtkStripper.h>


class iOptimizePolyDataFilter : public iGenericPolyDataFilter<vtkStripper>
{
	
	iGenericFilterTypeMacro(iOptimizePolyDataFilter,vtkStripper);
	
public:

	void SetEnabled(bool s);
	inline bool GetEnabled() const { return mEnabled; }

protected:
	
	virtual void ProvideOutput();

	bool mEnabled;
};

#endif // IOPTIMIZEPOLYDATAFILTER_H

