//LICENSE A


#ifndef IORTHOPOLYGONPLANEFILTER_H
#define IORTHOPOLYGONPLANEFILTER_H


#include "igenericfilter.h"
#include <vtkDataSetAlgorithm.h>

class vtkCellArray;


class iOrthoPolygonPlaneFilter : public iGenericFilter<vtkDataSetAlgorithm,vtkImageData,vtkPolyData>
{

	iGenericFilterTypeMacro(iOrthoPolygonPlaneFilter,vtkDataSetAlgorithm);

public:

	void SetInterpolation(bool s);

protected:

	virtual ~iOrthoPolygonPlaneFilter();

	virtual void ProvideOutput();

private:

	bool mInterpolate;
    int mOldDimU, mOldDimV;
    vtkCellArray *mNewQuads;
};

#endif // IORTHOPOLYGONPLANEFILTER_H
