//LICENSE A


#ifndef IPOINTERMACRO_H
#define IPOINTERMACRO_H


#include "ipointer.h"


#define IPOINTER_AS_PART(_name_) \
	public: \
		inline i##_name_* Get##_name_() const { return m##_name_; } \
	private: \
		iPointer::AlwaysValid<i##_name_> const m##_name_


#define IPOINTER_AS_USER(_name_) \
	public: \
		inline i##_name_* Get##_name_() const { return m##_name_; } \
	private: \
		iPointer::AutoDeleted<i##_name_> const m##_name_

#endif // IPOINTERMACRO_H
