//LICENSE A


#ifndef IREPLICATEDVIEWSUBJECTPIPELINE_H
#define IREPLICATEDVIEWSUBJECTPIPELINE_H


#include "iviewsubjectpipeline.h"


class iReplicatedPolyData;


class iReplicatedViewSubjectPipeline : public iViewSubjectPipeline
{

public:
	
	vtkTypeMacro(iReplicatedViewSubjectPipeline,iViewSubjectPipeline);

protected:
	
	iReplicatedViewSubjectPipeline(iViewInstance *owner, int numInputs);
	virtual ~iReplicatedViewSubjectPipeline();

	virtual void ProvideOutput();
	virtual void UpdateReplicas();

	virtual bool PrepareInput() = 0;

	void CompletePipeline(vtkAlgorithmOutput *port);

private:

	//
	//  Our members (make private for refactoring)
	//
	iReplicatedPolyData *mDataReplicated;
};

#endif // IREPLICATEDVIEWSUBJECTPIPELINE_H

