//LICENSE A


#ifndef ISHELLCOMPONENT_H
#define ISHELLCOMPONENT_H


#include "ipointermacro.h"


class iShell;
class iString;


class iShellComponent
{

	IPOINTER_AS_PART(Shell);

public:

	//
	//  This is just a decorator over iShell::OutputText to avoid extra includes.
	//  All ShellComponents should use it to output text.
	//
	void OutputText(int type, const iString &text) const;

protected:

	iShellComponent(iShell *s);
};

#endif // ISHELLCOMPONENT_H
