//LICENSE A


#ifndef ISHIFTPOLYDATAFILTER_H
#define ISHIFTPOLYDATAFILTER_H


#include "igenericfilter.h"
#include <vtkPolyDataAlgorithm.h>


class iShiftPolyDataFilter : public iGenericPolyDataFilter<vtkPolyDataAlgorithm>
{
	
	iGenericFilterTypeMacro(iShiftPolyDataFilter,vtkPolyDataAlgorithm);

public:
	
	inline float GetShift() { return mShift; }
	virtual void SetShift(float s);

protected:
	
	virtual void ProvideOutput();
	
private:
	
	float mShift;
};

#endif // ISHIFTPOLYDATAFILTER_H


