//LICENSE A


#include "istereoimagearray.h"


//
//  Templates
//
#include "iarray.tlh"


iStereoImageArray::iStereoImageArray() : iArray<iStereoImage>(1)
{
}


void iStereoImageArray::Copy(const iStereoImageArray &arr)
{
	this->Clear();

	int i;
	for(i=0; i<arr.Size(); i++)
	{
		this->Add(arr[i]);
	}
}


void iStereoImageArray::Fill(const iStereoImage &img)
{
	int i;
	for(i=0; i<this->mNum; i++)
	{
		mArr[i] = img;
	}
}
