//LICENSE A


#ifndef IVECTORFIELDGLYPHPIPELINE_H
#define IVECTORFIELDGLYPHPIPELINE_H


#include "ifieldglyphpipeline.h"


class iVectorGlyphFilter;
class iVectorFieldViewInstance;


class iVectorFieldGlyphPipeline : public iFieldGlyphPipeline
{

	friend class iVectorFieldViewInstance;

public:
	
	vtkTypeMacro(iVectorFieldGlyphPipeline,iFieldGlyphPipeline);

	iPipelineKeyDeclareMacro(iVectorFieldGlyphPipeline,GlyphBaseSize);

protected:
	
	iVectorFieldGlyphPipeline(iVectorFieldViewInstance *owner);
	virtual ~iVectorFieldGlyphPipeline();

	virtual void SetGlyphFilterInput(vtkDataSet *input);
	virtual void SetGlyphFilterScale(double s);
	
	iVectorFieldViewInstance *mOwner;

	//
	//  VTK stuff
	//
	iVectorGlyphFilter *mGlyphFilter;
};

#endif // IVECTORFIELDGLYPHPIPELINE_H

