//LICENSE A


#ifndef IVIEWMODULETOOL_H
#define IVIEWMODULETOOL_H


#include "iobject.h"
#include "iviewmodulecomponent.h"


class iViewModuleTool : public iObject, public iViewModuleComponent
{
	
public:

	vtkTypeMacro(iViewModuleTool,iObject);
		
	iPropertyScalar<iType::Bool> Visible;
	bool Show(bool s);
	inline bool IsVisible() const { return mIsVisible; }

protected:
	
	iViewModuleTool(iViewModule *vm, const iString &fname, const iString &sname);

	virtual bool ShowBody(bool s) = 0;

	bool mIsVisible;
};

#endif // IVIEWMODULETOOL_H

