//LICENSE A


//
//  Some utility functions
//
#ifndef IVTKTYPE_H
#define IVTKTYPE_H


class vtkDataSet;
class vtkImageData;
class vtkPolyData;

namespace ivtkType
{
	template<class T> const char* Name()
	{
		return 0;
	}

	template<> const char* Name<vtkDataSet>();
	template<> const char* Name<vtkImageData>();
	template<> const char* Name<vtkPolyData>();

	//
	//  Just helper functions - may be used by extensions
	//
	bool IsThereScalarData(vtkDataSet *data);
	bool IsThereVectorData(vtkDataSet *data);
	bool IsThereTensorData(vtkDataSet *data);

};

#endif // IVTKTYPE_H
