//LICENSE A


#ifndef IPYSCRIPT_H
#define IPYSCRIPT_H


#include "iscript.h"


class ipyScript : public iScript
{

public:

	ipyScript(iShell *s);
	virtual ~ipyScript();

	virtual iString GetPrompt1() const;
	virtual iString GetPrompt2() const;

	virtual const iString& CreateTemplate() const;

	virtual const iString& GetScriptFileSuffix() const;
	virtual bool IsTraceable() const;

	virtual bool RunInterpreter();
	virtual bool ExecuteSegment(const iString &text);

protected:

	virtual void OnInstallObserver();
	virtual void OnInstallIOHelper();

private:

	iString GetPrompt(char *name, const char *repr) const;
};

#endif // IPYSCRIPT_H
