//LICENSE A


#include "iconfigure.h"
#if ISHELL_INCLUDED(ISHELL_GG)


#include "ibgdialogsubject.h"


#include "ierror.h"

#include "iggdialog.h"


//
//  Main class
//
ibgDialogSubject::ibgDialogSubject(iggDialog *owner, const ibgWindowSubject* /*base*/, unsigned int mode, const iImage *icon, const iString &title) : ibgWindowSubject(owner?owner->GetShell():0)
{
	IASSERT(owner);

	mOwner = owner;
	mMode = mode;
}


ibgDialogSubject::~ibgDialogSubject()
{
}


void ibgDialogSubject::OnClose()
{
	mOwner->Close();
}

#endif
