//LICENSE A


#include "iconfigure.h"
#if ISHELL_INCLUDED(ISHELL_GG)


#include "ibgframesubject.h"


#include "ierror.h"

#include "iggframe.h"


int ibgFrameSubject::mPaddingWidth = 4;


//
//  Frame class
//
ibgFrameSubject::ibgFrameSubject(iggFrame *owner, int /*cols*/) : ibgWidgetSubject(owner)
{
	mFrameOwner = owner; // parent can be zero
}


bool ibgFrameSubject::BeforeShow()
{
	if(mFrameOwner != 0)
	{
		if(mFrameOwner->NeedsRedoLayout()) return true;
	}
	return false;
}


//
//  FrameBook class
//
ibgFrameBookSubject::ibgFrameBookSubject(iggFrameBook *owner, bool /*withFeedback*/) : ibgWidgetSubject(owner)
{
}


//
//  FrameFlip class
//
ibgFrameFlipSubject::ibgFrameFlipSubject(iggFrameFlip *owner, bool) : ibgWidgetSubject(owner)
{
	mCount = 0;
}


void ibgFrameFlipSubject::AddLayer(iggFrame *page)
{
	this->AddLayerBody(page);
	mCount++;
}


//
//  FrameScroll class
//
ibgFrameScrollSubject::ibgFrameScrollSubject(iggFrameScroll *owner, bool) : ibgWidgetSubject(owner)
{
}


//
//  FrameSplit class
//
ibgFrameSplitSubject::ibgFrameSplitSubject(iggFrameSplit *owner, bool) : ibgWidgetSubject(owner)
{
}

#endif
