//LICENSE A

//
//  HTML Browser widget subject
//
#ifndef IBGWIDGETHELPBROWSERSUBJECT_H
#define IBGWIDGETHELPBROWSERSUBJECT_H


#include "ibgwidgetsubject.h"


class iImage;
class iString;

class iggWidgetHelpBrowser;


class ibgWidgetHelpBrowserSubject : public ibgWidgetSubject
{

public:

	virtual ~ibgWidgetHelpBrowserSubject();

	virtual void SetText(const iString &text) = 0;
	virtual iString GetText() const = 0;

	virtual void AddImage(const iString &name, const iImage &image) = 0;

protected:

	ibgWidgetHelpBrowserSubject(iggWidgetHelpBrowser *owner);

	void OnLinkFollowedBody(const char *tag);
	//void OnMousePressBody(int line, int index);
	//void OnMouseReleaseBody(int line, int index);

	iggWidgetHelpBrowser *mConcreteOwner;
};

#endif  //  IBGWIDGETHELPBROWSERSUBJECT_H
