//LICENSE A

//
//  A toolkit-independent decorator over a ProgressBar class
//
#ifndef IBGWIDGETPROGRESSBARSUBJECT_H
#define IBGWIDGETPROGRESSBARSUBJECT_H


#include "ibgwidgetsubject.h"


#include "istring.h"

class iggWidgetProgressBar;


class ibgWidgetProgressBarSubject : public ibgWidgetSubject
{

public:

	virtual ~ibgWidgetProgressBarSubject();

	void SetLabel(const iString &label);
	void Reset();

	virtual void SetProgress(int p) = 0;

protected:

	ibgWidgetProgressBarSubject(iggWidget *owner);

	virtual void ResetBody() = 0;

	iString mLabel;
	bool mModified;
};

#endif // IBGWIDGETPROGRESSBARSUBJECT_H
