//LICENSE A

//
//  Command line implementation of view module observers
//

#ifndef ICLVIEWMODULEEVENTOBSERVERS_H
#define ICLVIEWMODULEEVENTOBSERVERS_H


#include "iviewmoduleeventobservers.h"


class iPicker;


class iclRenderEventObserver : public iRenderEventObserver
{
	
	friend class iclShell;

public:
	
	vtkTypeMacro(iclRenderEventObserver,iRenderEventObserver);

protected:

	iclRenderEventObserver(iViewModule *vm);
	virtual ~iclRenderEventObserver();

	virtual void OnStart();
	virtual void OnFinish();
	virtual bool CheckAbort();
	virtual void PostFinished();

	bool mStarted;
	int wSymbol;
};


class iclPickEventObserver : public iPickEventObserver
{
	
	friend class iclShell;

public:
	
	vtkTypeMacro(iclPickEventObserver,iPickEventObserver);

protected:

	iclPickEventObserver(iViewModule *vm) : iPickEventObserver(vm){}

	virtual void OnStart();
	virtual void OnFinish();
};

#endif // ICLVIEWMODULEEVENTOBSERVERS_H

