//LICENSE A


#include "iconfigure.h"
#if ISHELL_INCLUDED(ISHELL_GG)


#include "iggimagefactory.h"


#include "ioutput.h"
#include "istring.h"

#include <stdlib.h>


namespace iggImageFactory_Private
{
	class List;
	void CreateData(const iString &dirname, const iString &outname, const char *sel);
	void ReadData(int num, bool isBigEndianData, const iggImageFactory::ByteData *data, List &list);

	void LoadData1(List &list)
	{
#include "iggimagefactorydata1.h"

		if(num == 0)
		{
			CreateData("Work/images","Code/shells/configure/iggimagefactorydata1.h","az");
			iOutput::Display(iParameter::MessageType::Warning,"IFrIT is creating compressed help data...\nPlease compile again and re-run.");
			exit(0);
		}

		ReadData(num,isBigEndianData,data,list);
	}
};

#endif
