//LICENSE A


#include "iconfigure.h"
#if ISHELL_INCLUDED(ISHELL_GG)


#include "iggdialogauto.h"


#include "iggmainwindow.h"

#include "ibgdialogsubject.h"


bool iggDialogAuto::mBlockShowing = false;


iggDialogAuto::iggDialogAuto(iggMainWindow *mw, const iString &title, int cols) : iggDialog(mw,0U,0,title,0,cols), mTitle(title)
{
	if(mMainWindow != 0) mMainWindow->RegisterAutoDialog(this);
	this->ResizeContents(0,0);
}


iggDialogAuto::~iggDialogAuto()
{
	if(mMainWindow != 0) mMainWindow->UnRegisterAutoDialog(this);
}


void iggDialogAuto::ShowBody(bool s)
{
	if(!s || !mBlockShowing)
	{
		this->ForceShow(s);
	}
}


void iggDialogAuto::ForceShow(bool s)
{
	if(!mCompleteConstructionCalled) this->CompleteConstruction();
	this->iggDialog::ShowBody(s);
	if((mMode & iParameter::DialogFlag::Modal) == 0) this->GetMainWindow()->PlaceAutoDialogs();
}

#endif
