//LICENSE A


#ifndef IGGDIALOGFILESETEXPLORER_H
#define IGGDIALOGFILESETEXPLORER_H


#include "iggdialog.h"


class iggWidgetListView;


class iggDialogFileSetExplorer : public iggDialog
{

public:

	iggDialogFileSetExplorer(iggMainWindow *parent);

	virtual void UpdateDialog();

	void SetLoadAll(bool s){ mLoadAll = s; }
	inline bool GetLoadAll() const { return mLoadAll; }

	void SetMatchSimilarNames(bool s){ mMatchSimilarNames = s; }
	inline bool GetMatchSimilarNames() const { return mMatchSimilarNames; }

	void MustBeClosed();

	void LoadData(const iString &fname);

protected:

	virtual void CompleteConstructionBody();
	virtual void ShowBody(bool s);

	bool mMustBeClosed, mLoadAll, mMatchSimilarNames;
	iggWidgetListView *mView;
};

#endif  //  IGGDIALOGFILESETEXPLORER_H
