//LICENSE A


#ifndef IGGDIALOGPALETTEEDITOR_H
#define IGGDIALOGPALETTEEDITOR_H


#include "iggdialog.h"


class iPalette;

class iggWidget;


class iggDialogPaletteEditor : public iggDialog
{

public:

	iggDialogPaletteEditor(iggMainWindow *parent);
	virtual ~iggDialogPaletteEditor();

	void SetActivePaletteIndex(int n);
	inline int GetActivePaletteIndex() const { return mActivePaletteIndex; }
	inline iPalette* GetActivePalette() const { return mActivePalette; }

	virtual const iString& GetToolTip() const;

	void Apply(bool ask = true);
	void SetChanged(bool s);

protected:

	virtual void CompleteConstructionBody();
	virtual bool CanBeClosed();

	int mActivePaletteIndex;
	iPalette *mActivePalette;
	iggWidget *mApplyButton;
};

#endif  //  IGGDIALOGPALETTEEDITOR_H
