//LICENSE A

//
//  A decorator for the ComboBox or SpinBox which selects a current instance of some family
//

#ifndef IGGFRAMEACTIVEINSTANCE_H
#define IGGFRAMEACTIVEINSTANCE_H


#include "iggframe.h"


class iObject;


class iggFrameActiveInstance : public iggFrame
{

public:

	iggFrameActiveInstance(bool withCreateDelete, const iString &title, const iString &item, iggFrame *parent, bool spinbox = true);

	virtual bool CreateInstance() = 0;
	virtual bool DeleteInstance(int i) = 0;

	virtual int GetMinNumberOfInstances() const;
	virtual int GetMaxNumberOfInstances() const;

	virtual int GetNumberOfInstances() const = 0;
	virtual int GetActiveInstance() const = 0;
	virtual void SetActiveInstance(int n) = 0;
};

#endif  // IGGFRAMEACTIVEINSTANCE_H

