//LICENSE A

//
//  A palette selection frame with selection by key
//

#ifndef IGGFRAMEPALETTESELECTION_H
#define IGGFRAMEPALETTESELECTION_H


#include "iggframepaletteselectionbase.h"


#include "itype.h"

class iggPropertyHandle;

template<iType::TypeId id> class iggWidgetPropertyControlDummy;


class iggFramePaletteSelection : public iggFramePaletteSelectionBase
{

public:

	iggFramePaletteSelection(bool withbrightness, const iggPropertyHandle& ph, iggFrame *parent);
	virtual ~iggFramePaletteSelection();

	//void SetIndex(int i);

protected:

	virtual int GetPaletteId() const;
	virtual void SetPaletteId(int n);

	iggWidgetPropertyControlDummy<iType::Int> *mDummy;
};

#endif  // IGGFRAMEPALETTESELECTION_H

