//LICENSE A


#include "iconfigure.h"
#if ISHELL_INCLUDED(ISHELL_GG)


#include "iggpage.h"


#include "ierror.h"

#include "iggwidgetarea.h"


iggPage::iggPage(iggFrameBase *parent, int flags) : iggFrame(parent)
{
	if((flags&WithBook) != 0)
	{
		mBook = new iggFrameBook(this,(flags&WithFeedback)!=0); IERROR_CHECK_MEMORY(mBook);
		this->AddLine(mBook);
		this->SetRowStretch(1,10);
	}
	else mBook = 0;
}


iggPage::~iggPage()
{
}


void iggPage::ShowPage(int n)
{
	if(mBook != 0) mBook->OpenPage(n);
}


void iggPage::SetOrientation(int v)
{
	if(mBook != 0) mBook->SetOrientation(v);
}

#endif
