//LICENSE A

//
//  A page containing particle set widgets
//

#ifndef IGGPAGEPARTICLES_H
#define IGGPAGEPARTICLES_H


#include "iggpageobject.h"


#include "iarray.h"


class iggPageParticles : public iggPageObject
{

public:

	iggPageParticles(iggFrameBase *parent);
	virtual ~iggPageParticles();

	iggFrameBook* GetBook() const { return mBook; }

	void SetCurrentParticles(int n);
	void AddIcon(const iImage *image);

	inline const iggPropertyHandle& GetSplitVarHandle() const { return *mSplitVarHandle; }

	void UpdateIcons();

protected:

	virtual void UpdateWidgetBody();

private:

	int mCurrentParticles;
	const iggPropertyHandle *mSplitVarHandle;
	iArray<const iImage*> mIcons;
};

#endif  // IGGPAGEPARTICLESET_H

