//LICENSE A


#include "iconfigure.h"
#if ISHELL_INCLUDED(ISHELL_GG)


#include "iggwidgetpropertycontrolcolorselection.h"


#include "iggframe.h"

#include "ibgwidgetcolorselectionsubject.h"

#include "iggsubjectfactory.h"

//
//  Templates
//
#include "iarray.tlh"
#include "iggwidgetpropertycontrol.tlh"


using namespace iParameter;


iggWidgetPropertyControlColorSelection::iggWidgetPropertyControlColorSelection(const iggPropertyHandle& ph, iggFrame *parent) : iggWidgetPropertyControl<iType::Color>(ph,parent,RenderMode::Immediate)
{
	mSubject = iggSubjectFactory::CreateWidgetColorSelectionSubject(this);
}


void iggWidgetPropertyControlColorSelection::QueryValue(iColor &val) const
{
	val = mSubject->GetColor();
}


void iggWidgetPropertyControlColorSelection::UpdateValue(const iColor& val)
{
	mSubject->SetColor(val);
}


void iggWidgetPropertyControlColorSelection::OnVoid1Body()
{
	this->ExecuteControl(true);
}


void iggWidgetPropertyControlColorSelection::SetText(const iString &text)
{
	mSubject->SetText(text);
}

#endif
