//LICENSE A

//
//  A widget that displays a color well and a button to launch a color dialog
//

#ifndef IGGWIDGETPROPERTYCONTROLCOLORSELECTION_H
#define IGGWIDGETPROPERTYCONTROLCOLORSELECTION_H


#include "iggwidgetpropertycontrol.h"


class ibgWidgetColorSelectionSubject;


class iggWidgetPropertyControlColorSelection : public iggWidgetPropertyControl<iType::Color>
{

public:

	iggWidgetPropertyControlColorSelection(const iggPropertyHandle& ph, iggFrame *parent);

	void SetText(const iString &text);

protected:

	virtual void QueryValue(iColor &val) const;
	virtual void UpdateValue(const iColor& val);

	virtual void OnVoid1Body();

	ibgWidgetColorSelectionSubject *mSubject;
};

#endif  // IGGWIDGETPROPERTYCONTROLCOLORSELECTION_H

